import { AccountRequest, RegisterRequest, CloseRequest, CommitRequest, LockRequest } from '../types/index.js';
export declare function validate_account_req(template: unknown): asserts template is AccountRequest;
export declare function validate_register_req(template: unknown): asserts template is RegisterRequest;
export declare function validate_commit_req(template: unknown): asserts template is CommitRequest;
export declare function validate_lock_req(template: unknown): asserts template is LockRequest;
export declare function validate_close_req(template: unknown): asserts template is CloseRequest;
